[i915gm] GPU lockup (ESR: 0x00000001 IPEHR: 0x7f9c000c)

Bug #755693 reported by mkis62 on 2011-04-09
30
This bug affects 4 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
High
Unassigned
Natty
High
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

Binary package hint: xserver-xorg-video-intel

duplicate of #737427 ?
just changed the theme in 'Appearance', all OK, clicked on 'Pidgin's main window and freeze ... stripes on screen... tty1 still worked, rebooted from there.

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: xserver-xorg-video-intel 2:2.14.0-4ubuntu6
ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic i686
Architecture: i386
Chipset: i915gm
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1024x768
 edid-base64: AP///////wANrwYVAAAAACgMAQOAHhd4CnfxoFpLliQYT1QACAABAQEBAQEBAQEBAQEBAQEBZBkAQEEAJjAYiDYAMOQQAAAYAAAA/gBOMTUwWDMtTDA3CiAgAAAA/gBDTU8KICAgICAgICAgAAAA/gBOMTUwWDMtTDA3CiAgAOs=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
Date: Sat Apr 9 19:38:25 2011
DistUpgraded: Log time: 2011-01-03 14:04:23.058239
DistroCodename: natty
DistroVariant: ubuntu
DuplicateSignature: (ESR: 0x00000001 IPEHR: 0x7f9c000c)
ExecutablePath: /usr/share/apport/apport-gpu-error-intel.py
GraphicsCard:
 Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller [8086:2592] (rev 03) (prog-if 00 [VGA controller])
   Subsystem: Acer Incorporated [ALI] Device [1025:006a]
   Subsystem: Acer Incorporated [ALI] Device [1025:006a]
InterpreterPath: /usr/bin/python2.7
MachineType: Acer TravelMate 2410
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdline: /usr/bin/python /usr/share/apport/apport-gpu-error-intel.py
ProcEnviron:

ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=263aecd1-0156-49f9-8d5e-99e8079b240f ro gfxpayload=true quiet splash vt.handoff=7
ProcKernelCmdLine_: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=263aecd1-0156-49f9-8d5e-99e8079b240f ro gfxpayload=true quiet splash vt.handoff=7
RelatedPackageVersions:
 xserver-xorg 1:7.6+4ubuntu3
 libdrm2 2.4.23-1ubuntu6
 xserver-xorg-video-intel 2:2.14.0-4ubuntu6
Renderer: Unknown
SourcePackage: xserver-xorg-video-intel
Title: [i915gm] GPU lockup (ESR: 0x00000001 IPEHR: 0x7f9c000c)
UpgradeStatus: Upgraded to natty on 2011-01-03 (96 days ago)
UserGroups:

dmi.bios.date: 02/07/2006
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: V1.09
dmi.board.name: Morar
dmi.board.vendor: Acer
dmi.board.version: Rev
dmi.chassis.asset.tag: None
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrV1.09:bd02/07/2006:svnAcer:pnTravelMate2410:pvr0100:rvnAcer:rnMorar:rvrRev:cvnAcer:ct10:cvrN/A:
dmi.product.name: TravelMate 2410
dmi.product.version: 0100
dmi.sys.vendor: Acer
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.1-0ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.1-0ubuntu3
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu6
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu6

[lspci]
00:00.0 Host bridge [0600]: Intel Corporation Mobile 915GM/PM/GMS/910GML Express Processor to DRAM Controller [8086:2590] (rev 03)
     Subsystem: Acer Incorporated [ALI] Device [1025:006a]
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller [8086:2592] (rev 03) (prog-if 00 [VGA controller])
     Subsystem: Acer Incorporated [ALI] Device [1025:006a]

mkis62 (mihaikx62) wrote :
tags: removed: need-duplicate-check
Bryce Harrington (bryce) wrote :

Yep, probably a dupe of that bug. Actually we'd probably dupe to bug 727594 even though the IPEHR is a bit different, upstream thinks all the i915 gpu lockups are instances of that same bug. There is a patch on the upstream bug report which needs tested (sounds uncertain if it'll fix this case too.)

Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → High
status: New → Triaged
Bryce Harrington (bryce) wrote :

I backported the patch from upstream that they believe will resolve this issue. It might be too late to include this in natty, however if people test it quickly and if it is found to eliminate the freezes on i915 maybe there's a chance.

My backport patch is available in my PPA here: https://launchpad.net/~bryce/+archive/fig

If you test it and find it resolves the issue sufficiently let me know.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Triaged → Incomplete
Jimmy Sjölund (jimmy-sjolund) wrote :

I have installed the PPA and at least for me it seems to solve my issue. I have rebooted the eee pc 5 times now and the login worked every time. I will continue to test it but I would consider this a fix. I hope you get it in the final release.

Download full text (4.4 KiB)

Yes, it seems to be fixed now. Thanks to all for prompt replies.

On Thu, Apr 21, 2011 at 6:45 PM, Jimmy <email address hidden> wrote:

> I have installed the PPA and at least for me it seems to solve my issue.
> I have rebooted the eee pc 5 times now and the login worked every time.
> I will continue to test it but I would consider this a fix. I hope you
> get it in the final release.
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (767797).
> https://bugs.launchpad.net/bugs/755693
>
> Title:
> [i915gm] GPU lockup (ESR: 0x00000001 IPEHR: 0x7f9c000c)
>
> Status in “xserver-xorg-video-intel” package in Ubuntu:
> Incomplete
>
> Bug description:
> Binary package hint: xserver-xorg-video-intel
>
> duplicate of #737427 ?
> just changed the theme in 'Appearance', all OK, clicked on 'Pidgin's main
> window and freeze ... stripes on screen... tty1 still worked, rebooted from
> there.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 11.04
> Package: xserver-xorg-video-intel 2:2.14.0-4ubuntu6
> ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic i686
> Architecture: i386
> Chipset: i915gm
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: None
> DRM.card0.LVDS.1:
> status: connected
> enabled: enabled
> dpms: On
> modes: 1024x768
> edid-base64:
> AP///////wANrwYVAAAAACgMAQOAHhd4CnfxoFpLliQYT1QACAABAQEBAQEBAQEBAQEBAQEBZBkAQEEAJjAYiDYAMOQQAAAYAAAA/gBOMTUwWDMtTDA3CiAgAAAA/gBDTU8KICAgICAgICAgAAAA/gBOMTUwWDMtTDA3CiAgAOs=
> DRM.card0.VGA.1:
> status: disconnected
> enabled: disabled
> dpms: Off
> modes:
> edid-base64:
> Date: Sat Apr 9 19:38:25 2011
> DistUpgraded: Log time: 2011-01-03 14:04:23.058239
> DistroCodename: natty
> DistroVariant: ubuntu
> DuplicateSignature: (ESR: 0x00000001 IPEHR: 0x7f9c000c)
> ExecutablePath: /usr/share/apport/apport-gpu-error-intel.py
> GraphicsCard:
> Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller
> [8086:2592] (rev 03) (prog-if 00 [VGA controller])
> Subsystem: Acer Incorporated [ALI] Device [1025:006a]
> Subsystem: Acer Incorporated [ALI] Device [1025:006a]
> InterpreterPath: /usr/bin/python2.7
> MachineType: Acer TravelMate 2410
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcCmdline: /usr/bin/python /usr/share/apport/apport-gpu-error-intel.py
> ProcEnviron:
>
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic
> root=UUID=263aecd1-0156-49f9-8d5e-99e8079b240f ro gfxpayload=true quiet
> splash vt.handoff=7
> ProcKernelCmdLine_: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic
> root=UUID=263aecd1-0156-49f9-8d5e-99e8079b240f ro gfxpayload=true quiet
> splash vt.handoff=7
> RelatedPackageVersions:
> xserver-xorg 1:7.6+4ubuntu3
> libdrm2 2.4.23-1ubuntu6
> xserver-xorg-video-intel 2:2.14.0-4ubuntu6
> Renderer: Unknown
> SourcePackage: xserver-xorg-video-intel
> Title: [i915gm] GPU lockup (ESR: 0x00000001 IPEHR: 0x7f9c000c)
> UpgradeStatus: Upgraded to natty on 2011-01-03 (96 days...

Read more...

Bryce Harrington (bryce) wrote :

@Peter, to clarify, it seems to be fixed in standard natty, or fixed when you have the ppa installed?

Bryce Harrington (bryce) on 2011-04-21
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Peter Hancock (peterhatoz) wrote :
Download full text (4.3 KiB)

Ah, sorry. I will try without the PPA and see what happens ... will let you
know in a couple of hours.

On Fri, Apr 22, 2011 at 9:05 AM, Bryce Harrington <<email address hidden>
> wrote:

> @Peter, to clarify, it seems to be fixed in standard natty, or fixed
> when you have the ppa installed?
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (767797).
> https://bugs.launchpad.net/bugs/755693
>
> Title:
> [i915gm] GPU lockup (ESR: 0x00000001 IPEHR: 0x7f9c000c)
>
> Status in “xserver-xorg-video-intel” package in Ubuntu:
> Incomplete
>
> Bug description:
> Binary package hint: xserver-xorg-video-intel
>
> duplicate of #737427 ?
> just changed the theme in 'Appearance', all OK, clicked on 'Pidgin's main
> window and freeze ... stripes on screen... tty1 still worked, rebooted from
> there.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 11.04
> Package: xserver-xorg-video-intel 2:2.14.0-4ubuntu6
> ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic i686
> Architecture: i386
> Chipset: i915gm
> CompizPlugins: No value set for
> `/apps/compiz-1/general/screen0/options/active_plugins'
> CompositorRunning: None
> DRM.card0.LVDS.1:
> status: connected
> enabled: enabled
> dpms: On
> modes: 1024x768
> edid-base64:
> AP///////wANrwYVAAAAACgMAQOAHhd4CnfxoFpLliQYT1QACAABAQEBAQEBAQEBAQEBAQEBZBkAQEEAJjAYiDYAMOQQAAAYAAAA/gBOMTUwWDMtTDA3CiAgAAAA/gBDTU8KICAgICAgICAgAAAA/gBOMTUwWDMtTDA3CiAgAOs=
> DRM.card0.VGA.1:
> status: disconnected
> enabled: disabled
> dpms: Off
> modes:
> edid-base64:
> Date: Sat Apr 9 19:38:25 2011
> DistUpgraded: Log time: 2011-01-03 14:04:23.058239
> DistroCodename: natty
> DistroVariant: ubuntu
> DuplicateSignature: (ESR: 0x00000001 IPEHR: 0x7f9c000c)
> ExecutablePath: /usr/share/apport/apport-gpu-error-intel.py
> GraphicsCard:
> Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller
> [8086:2592] (rev 03) (prog-if 00 [VGA controller])
> Subsystem: Acer Incorporated [ALI] Device [1025:006a]
> Subsystem: Acer Incorporated [ALI] Device [1025:006a]
> InterpreterPath: /usr/bin/python2.7
> MachineType: Acer TravelMate 2410
> PccardctlIdent:
> Socket 0:
> no product info available
> PccardctlStatus:
> Socket 0:
> no card
> ProcCmdline: /usr/bin/python /usr/share/apport/apport-gpu-error-intel.py
> ProcEnviron:
>
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic
> root=UUID=263aecd1-0156-49f9-8d5e-99e8079b240f ro gfxpayload=true quiet
> splash vt.handoff=7
> ProcKernelCmdLine_: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic
> root=UUID=263aecd1-0156-49f9-8d5e-99e8079b240f ro gfxpayload=true quiet
> splash vt.handoff=7
> RelatedPackageVersions:
> xserver-xorg 1:7.6+4ubuntu3
> libdrm2 2.4.23-1ubuntu6
> xserver-xorg-video-intel 2:2.14.0-4ubuntu6
> Renderer: Unknown
> SourcePackage: xserver-xorg-video-intel
> Title: [i915gm] GPU lockup (ESR: 0x00000001 IPEHR: 0x7f9c000c)
> UpgradeStatus: Upgraded to natty on 2011-01-03 (96 days ago)
> UserGroups:
>
> dmi.bios.date: 02/07/2006
> dmi.bios.vendor: Phoenix Technologies LTD
...

Read more...

Bryce Harrington (bryce) on 2011-04-22
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Peter Hancock (peterhatoz) wrote :
Download full text (4.6 KiB)

Yep. Still working after removing Bryce's PPA from the list of repositories
and doing a reboot and another update.

Thanks again,
Peter.

On Fri, Apr 22, 2011 at 11:46 AM, Peter Hancock <email address hidden>wrote:

> Ah, sorry. I will try without the PPA and see what happens ... will let you
> know in a couple of hours.
>
>
> On Fri, Apr 22, 2011 at 9:05 AM, Bryce Harrington <
> <email address hidden>> wrote:
>
>> @Peter, to clarify, it seems to be fixed in standard natty, or fixed
>> when you have the ppa installed?
>>
>> --
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug (767797).
>> https://bugs.launchpad.net/bugs/755693
>>
>> Title:
>> [i915gm] GPU lockup (ESR: 0x00000001 IPEHR: 0x7f9c000c)
>>
>> Status in “xserver-xorg-video-intel” package in Ubuntu:
>> Incomplete
>>
>> Bug description:
>> Binary package hint: xserver-xorg-video-intel
>>
>> duplicate of #737427 ?
>> just changed the theme in 'Appearance', all OK, clicked on 'Pidgin's main
>> window and freeze ... stripes on screen... tty1 still worked, rebooted from
>> there.
>>
>> ProblemType: Crash
>> DistroRelease: Ubuntu 11.04
>> Package: xserver-xorg-video-intel 2:2.14.0-4ubuntu6
>> ProcVersionSignature: Ubuntu 2.6.38-8.41-generic 2.6.38.2
>> Uname: Linux 2.6.38-8-generic i686
>> Architecture: i386
>> Chipset: i915gm
>> CompizPlugins: No value set for
>> `/apps/compiz-1/general/screen0/options/active_plugins'
>> CompositorRunning: None
>> DRM.card0.LVDS.1:
>> status: connected
>> enabled: enabled
>> dpms: On
>> modes: 1024x768
>> edid-base64:
>> AP///////wANrwYVAAAAACgMAQOAHhd4CnfxoFpLliQYT1QACAABAQEBAQEBAQEBAQEBAQEBZBkAQEEAJjAYiDYAMOQQAAAYAAAA/gBOMTUwWDMtTDA3CiAgAAAA/gBDTU8KICAgICAgICAgAAAA/gBOMTUwWDMtTDA3CiAgAOs=
>> DRM.card0.VGA.1:
>> status: disconnected
>> enabled: disabled
>> dpms: Off
>> modes:
>> edid-base64:
>> Date: Sat Apr 9 19:38:25 2011
>> DistUpgraded: Log time: 2011-01-03 14:04:23.058239
>> DistroCodename: natty
>> DistroVariant: ubuntu
>> DuplicateSignature: (ESR: 0x00000001 IPEHR: 0x7f9c000c)
>> ExecutablePath: /usr/share/apport/apport-gpu-error-intel.py
>> GraphicsCard:
>> Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller
>> [8086:2592] (rev 03) (prog-if 00 [VGA controller])
>> Subsystem: Acer Incorporated [ALI] Device [1025:006a]
>> Subsystem: Acer Incorporated [ALI] Device [1025:006a]
>> InterpreterPath: /usr/bin/python2.7
>> MachineType: Acer TravelMate 2410
>> PccardctlIdent:
>> Socket 0:
>> no product info available
>> PccardctlStatus:
>> Socket 0:
>> no card
>> ProcCmdline: /usr/bin/python /usr/share/apport/apport-gpu-error-intel.py
>> ProcEnviron:
>>
>> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic
>> root=UUID=263aecd1-0156-49f9-8d5e-99e8079b240f ro gfxpayload=true quiet
>> splash vt.handoff=7
>> ProcKernelCmdLine_: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic
>> root=UUID=263aecd1-0156-49f9-8d5e-99e8079b240f ro gfxpayload=true quiet
>> splash vt.handoff=7
>> RelatedPackageVersions:
>> xserver-xorg 1:7.6+4ubuntu3
>> libdrm2 2.4.23-1ubuntu6
>> xserver-xorg-video-in...

Read more...

Bryce Harrington (bryce) wrote :

This is a dupe of #727594; testing the above fig ppa would prove it but going by the error codes and chipset this is basically the same bug.

Launchpad won't let me mark it as a dupe though (times out).

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Fix Committed

Accepted xserver-xorg-video-intel into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Jimmy Sjölund (jimmy-sjolund) wrote :

I removed the Bryce PPA and installed the xserver-xorg-video-intel from natty-proposed. Several reboots later I have not reproduced my earlier login screen issues. Running on an Asus eee pc 900.

Martin Pitt (pitti) on 2011-04-27
tags: added: verification-done
removed: verification-needed
bugbot (bugbot) on 2011-04-27
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-intel - 2:2.14.0-4ubuntu7.1

---------------
xserver-xorg-video-intel (2:2.14.0-4ubuntu7.1) natty-proposed; urgency=low

  * Add 119_disable_relaxed_fencing.patch: The relaxed fencing
    optimization is suspected as the cause for various i915/945 gpu lockup
    issues. This disables the optimization by default but adds an
    xorg.conf parameter to let people experiment with it turned on.
    (LP: #727594, #761143, #761632, #755693)
 -- Bryce Harrington <email address hidden> Fri, 22 Apr 2011 19:12:55 -0700

Changed in xserver-xorg-video-intel (Ubuntu Natty):
status: Fix Committed → Fix Released
Bryce Harrington (bryce) wrote :

119_disable_relaxed_fencing.patch is included in oneiric as well since the 7.1 package was automatically promoted when oneiric opened.

Changed in xserver-xorg-video-intel (Ubuntu Oneiric):
status: New → Fix Released
Bryce Harrington (bryce) wrote :

This patch is also included in oneiric

To post a comment you must log in.